#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TherionLevelCFGData
{
	//ID
	int mID;
	//炮倍
	int mLevel;
	//炮倍对应朱雀、财神、白虎积分
	int mTherionIntegral;
};

class Fish_TherionLevelCFG
{
public:
private:
	static std::auto_ptr<Fish_TherionLevelCFG> msSingleton;
public:
	int GetCount();
	const Fish_TherionLevelCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_TherionLevelCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TherionLevelCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TherionLevelCFGData> mMapData;
};
